import random


# Standard list of fun responses to stubs.
MAIN_ANSWERS = [
    "Пожалуйста, уточните ваш вопрос.",
    "Я подумаю над этим.",
    "Интересный вопрос. Нужно подумать.",
    "Может быть, вы можете пояснить немного подробнее?",
    "Позвольте мне проверить.",
    "Пока я не уверен в ответе, но постараюсь узнать.",
    "Мне кажется, ответ на ваш вопрос довольно сложен.",
    "Ответ на ваш вопрос может быть разным, в зависимости от контекста.",
    "Извините, я не могу ответить на это прямо сейчас.",
    "Позвольте мне немного подумать об этом.",
    "Это интересный вопрос, но у меня пока нет ответа.",
    "Я еще не научен отвечать на такие вопросы.",
    "Понял, ваш вопрос. Я сделаю все возможное, чтобы ответить на него.",
    "Это достаточно сложный вопрос. Позвольте мне немного времени на размышления.",
    "Я не уверен, что могу дать точный ответ прямо сейчас.",
    "Пока что мой алгоритм не способен ответить на ваш вопрос.",
    "Мне нужно больше информации, чтобы ответить на этот вопрос.",
    "Это хороший вопрос! Я постараюсь найти на него ответ.",
    "Позвольте мне сначала исследовать этот вопрос.",
    "Извините, я не могу дать точный ответ на ваш вопрос прямо сейчас."
]


# Introductory text to start communicating with the neural network, in order
# to indicate the context of communication with the user.
INTRO = (
    f"Я буду называть тебя Сереженька. "
    f"Если я спрошу как тебя зовут, отвечай: Сереженька. "
    f"Обращайся ко мне на ты и зови меня 'Масик'. "
    f"Мой следующий запрос: "
)


def answers_common() -> str:
    """
    Get random answer helper.
    """
    return random.choice(MAIN_ANSWERS)
